Bug 1541866 (CVE-2018-6405)

Summary: CVE-2018-6405 ImageMagick: Memory leak in coders/dcm.c:ReadDCMImage can allow for denial of service
Product: [Other] Security Response Reporter: Sam Fowler <sfowler>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED WONTFIX QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: jhorak, mike, pahan
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-06-08 03:39:10 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1541867    
Bug Blocks:    

Description Sam Fowler 2018-02-05 05:24:54 UTC
In the ReadDCMImage function in coders/dcm.c in ImageMagick before 7.0.7-23, each redmap, greenmap, and bluemap variable can be overwritten by a new pointer. The previous pointer is lost, which leads to a memory leak. 

Upstream Issue:
https://github.com/ImageMagick/ImageMagick/issues/964

Comment 1 Sam Fowler 2018-02-05 05:25:15 UTC
Created ImageMagick tracking bugs for this issue:

Affects: fedora-all [bug 1541867]